Index: trunk/kernel/devices/dev_iob.h
===================================================================
--- trunk/kernel/devices/dev_iox.h	(revision 1)
+++ trunk/kernel/devices/dev_iob.h	(revision 3)
@@ -1,4 +1,4 @@
 /*
- * dev_iox.h - IOX (bridge to external I/O) generic device API.
+ * dev_iob.h - IOB (bridge to external I/O) generic device API.
  *
  * Authors   Alain Greiner  (2016)
@@ -14,5 +14,5 @@
  * ALMOS-MKH is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTIOXLAR PURPOSE.  See the GNU
+ * MERCHANTABILITY or FITNESS FOR A PARTIOBLAR PURPOSE.  See the GNU
  * General Public License for more details.
  *
@@ -22,6 +22,6 @@
  */
 
-#ifndef _DEV_IOX_H_
-#define _DEV_IOX_H_
+#ifndef _DEV_IOB_H_
+#define _DEV_IOB_H_
 
 #include <almos_config.h>
@@ -30,57 +30,60 @@
 
 /*****************************************************************************************
- *     Generic IOX (bridge to external IO peripherals) definition.
+ *     Generic IOB (bridge to external IO peripherals) definition.
  *
- * The IOX device is used to access external peripherals. It implements an IO-MMU service 
+ * The IOB device is used to access external peripherals. It implements an IO-MMU service 
  * for DMA transactions launched by DMA capable external peripherals.
- * This IOX peripheral is acting as a dynamically configurable bridge, used for others 
- * I/O operations. Therefore, ALMOS-MKH does not use the IOX device waiting queue,
- * and calls directly the IOX driver blocking functions, using the device lock to 
- * get exclusive access to the IOX bridge internal state.
+ * This IOB peripheral is acting as a dynamically configurable bridge, used for others 
+ * I/O operations. Therefore, ALMOS-MKH does not use the IOB device waiting queue,
+ * and calls directly the IOB driver blocking functions, using the device lock to 
+ * get exclusive access to the IOB bridge internal state.
  ****************************************************************************************/
  
+/****  Forward declarations  ****/
+
+struct chdev_s;
 
 /*****************************************************************************************
- * This enum defines the various implementations of the IOX generic device.
+ * This enum defines the various implementations of the IOB generic device.
  * This array must be kept consistent with the define in arch_info.h file
  ****************************************************************************************/
 
-enum iox_impl_e
+enum iob_impl_e
 {
-    IMPL_IOX_IOB =   0,         /* vci_iob component used in TSAR                       */
-    IMPL_IOX_I86 =   1,         /* TBD                                                  */
+    IMPL_IOB_TSR =   0,         /* vci_iob component used in TSAR                       */
+    IMPL_IOB_I86 =   1,         /* TBD                                                  */
 }
-iox_impl_t;
+iob_impl_t;
 
 /*****************************************************************************************
- * This function initializes the IOX device descriptor with IOMMU disabled.
+ * This function initializes the IOB device descriptor with IOMMU disabled.
  *****************************************************************************************
- * @ dev_xp     : extended pointer on IOX device descriptor.
+ * @ chdev      :  pointer on IOB chdev descriptor.
  ****************************************************************************************/
-void dev_iox_init( xptr_t dev_xp );
+void dev_iob_init( struct chdev_s * chdev );
 
 /*****************************************************************************************
- * This function activates the IOMMU for the IOX device identified by its
+ * This function activates the IOMMU for the IOB device identified by its
  * extended pointer.
  *****************************************************************************************
- * @ dev_xp   : extended pointer on IOX device descriptor.
+ * @ dev_xp   : extended pointer on IOB device descriptor.
  ****************************************************************************************/
-void dev_iox_iommu_enable( xptr_t dev_xp );
+void dev_iob_iommu_enable( xptr_t dev_xp );
 
 /*****************************************************************************************
- * This function desactivates the IO-MMU for the IOX device identified by its
+ * This function desactivates the IO-MMU for the IOB device identified by its
  * extended pointer.
  *****************************************************************************************
- * @ dev_xp   : extended pointer on IOX device descriptor.
+ * @ dev_xp   : extended pointer on IOB device descriptor.
  ****************************************************************************************/
-void dev_iox_iommu_disable( xptr_t dev_xp );
+void dev_iob_iommu_disable( xptr_t dev_xp );
 
 /*****************************************************************************************
  * This function set a new value in the IO-MMU PTPR register.
  *****************************************************************************************
- * @ dev_xp   : extended pointer on IOX device descriptor.
+ * @ dev_xp   : extended pointer on IOB device descriptor.
  * @ wdata    : value to be written in PTPR register.
  ****************************************************************************************/
-void dev_iox_set_ptpr( xptr_t    dev_xp,
+void dev_iob_set_ptpr( xptr_t    dev_xp,
                        uint32_t  wdata );
                         
@@ -88,8 +91,8 @@
  * This function invalidates an IOMMU TLB entry identified by its vpn.
  *****************************************************************************************
- * @ dev_xp   : extended pointer on IOX device descriptor.
+ * @ dev_xp   : extended pointer on IOB device descriptor.
  * @ vpn      : virtual page number in IO virtual space.
  ****************************************************************************************/
-void dev_iox_inval_page( xptr_t  dev_xp,
+void dev_iob_inval_page( xptr_t  dev_xp,
                          vpn_t   vpn );
 
@@ -97,13 +100,13 @@
  * This function return informations relative to an error reported by the IOMMU.
  *****************************************************************************************
- * @ dev_xp   : extended pointer on IOX device descriptor.
+ * @ dev_xp   : extended pointer on IOB device descriptor.
  * @ error    : [out] pointer on buffer for erro type.
  * @ bvar     : [out] pointer on buffer for bad virtual address.
  * @ srcid    : [out] pointer on buffer for faulty peripheral index.
  ****************************************************************************************/
-void dev_iox_get_status( xptr_t     dev_xp,
+void dev_iob_get_status( xptr_t     dev_xp,
                          uint32_t * error,
                          uint32_t * bvar,
                          uint32_t * srcid );
 
-#endif  /* _DEV_IOX_H_ */
+#endif  /* _DEV_IOB_H_ */
